import { PluginItem } from "@babel/core";
/**
 * Create plugin configuration entry that uses `paths` property from `tsconfig.json`.
 * @param root - paths base url.
 * @param paths - path patterns to check.
 * @param extensions - file extensions to use.
 */
export declare function moduleResolverByPaths(root: string, paths: Record<string, string[]>, extensions: string[]): PluginItem;
//# sourceMappingURL=module-resolver.d.ts.map